aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2013-08-25 19:45:02 -0300
committerSilvio Rhatto <rhatto@riseup.net>2013-08-25 19:45:02 -0300
commit54608600f97dd28b2aa099ecb21e075b24357d86 (patch)
tree2f4a71a7a3ad85e06a0afed39bcba8ea685077e1
parentb1cd9d087e2d5ff9aa0882c59c9e912d739bce9a (diff)
downloadhttruta-54608600f97dd28b2aa099ecb21e075b24357d86.tar.gz
httruta-54608600f97dd28b2aa099ecb21e075b24357d86.tar.bz2
Modularizing
-rwxr-xr-xhttracker36
-rw-r--r--lib/httracker/functions60
-rwxr-xr-xscuttler23
3 files changed, 69 insertions, 50 deletions
diff --git a/httracker b/httracker
index ea1eaab..e720f76 100755
--- a/httracker
+++ b/httracker
@@ -14,40 +14,8 @@ FILESIZE=""
USER="arquivo"
GROUP="arquivo"
-function httracker_get {
- local url="$1"
- local hash="`echo $1 | sha1sum | cut -d ' ' -f 1`"
- local target="$MIRRORS/$hash"
-
- mkdir -p $target
- #chown -R $USER.$GROUP $target/
-
- # We already got this one
- if [ -f "$target/ok" ]; then
- return
- fi
-
- # Get each URL
- httrack \
- --depth=1 \
- --purge-old=0 \
- --index \
- --cookies=1 \
- --path ${target} \
- -r${LEVEL} ${url}
- #--user $USER \
- #-e%${EXT_LEVEL} \
- #-m$FILESIZE \
- #--verbose
-
- if [ "$?" == "0" ]; then
- # Mark as downloaded
- touch $target/ok
- else
- echo "Error fetching $url."
- rm -rf $target
- fi
-}
+# Load functions
+source lib/httracker/functions || exit 1
# Create folders
mkdir -p $MIRRORS $TMP
diff --git a/lib/httracker/functions b/lib/httracker/functions
new file mode 100644
index 0000000..e224c2d
--- /dev/null
+++ b/lib/httracker/functions
@@ -0,0 +1,60 @@
+#!/bin/bash
+#
+# Misc httracker functions.
+#
+
+function httracker_get {
+ local url="$1"
+ local hash="`echo $1 | sha1sum | cut -d ' ' -f 1`"
+ local target="$MIRRORS/$hash"
+
+ mkdir -p $target
+ #chown -R $USER.$GROUP $target/
+
+ # We already got this one
+ if [ -f "$target/ok" ]; then
+ return
+ fi
+
+ # Get each URL
+ httrack \
+ --depth=1 \
+ --purge-old=0 \
+ --index \
+ --cookies=1 \
+ --path ${target} \
+ -r${LEVEL} ${url}
+ #--user $USER \
+ #-e%${EXT_LEVEL} \
+ #-m$FILESIZE \
+ #--verbose
+
+ if [ "$?" == "0" ]; then
+ # Mark as downloaded
+ touch $target/ok
+ else
+ echo "Error fetching $url."
+ rm -rf $target
+ fi
+}
+
+function httracker_get_single {
+# grabs URLs from the network
+ httrack --verbose \
+ --user links \
+ --depth=1 \
+ --purge-old=0 \
+ --index \
+ --cookies=1 \
+ --list ${tmpfile} \
+ --path ${target} \
+}
+
+function httracker_target_single {
+ # creates target dir
+ year=`date +%Y`
+ month=`date +%m`
+ %day=`date +%d`
+ target=${MIRRORDIR}/${year}/${month}
+ sudo -u links mkdir -p ${target}
+}
diff --git a/scuttler b/scuttler
index be0cabc..dbfe025 100755
--- a/scuttler
+++ b/scuttler
@@ -9,6 +9,9 @@ CONFIGFILE=${BASEDIR}/${SCUTTLEDIR}/data/config.php
MIRRORDIR=${BASEDIR}/mirrors
TMPDIR=/tmp
+# Load functions
+source lib/httracker/functions || exit 1
+
getconf() {
grep ${1} ${CONFIGFILE} | sed -e s/\[^\'\]\*\'// -e s/\'\.\*\$//
}
@@ -33,19 +36,7 @@ chown links.links ${tmpfile}
chmod 600 ${tmpfile}
sqlquery "select bAddress from sc_bookmarks;" > ${tmpfile}
-# creates target dir
-year=`date +%Y`
-month=`date +%m`
-%day=`date +%d`
-TARGETDIR=${MIRRORDIR}/${year}/${month}
-sudo -u links mkdir -p ${TARGETDIR}
-
-# grabs URLs from the network
-httrack --verbose \
- --user links \
- --depth=1 \
- --purge-old=0 \
- --index \
- --cookies=1 \
- --list ${tmpfile} \
- --path ${TARGETDIR} \
+httracker_target_single
+httracker_get_single
+
+rm ${tmpfile}